<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\SammelVertraege\Akzeptieren\Formular;

use Kufer\Web\KuferTools\Dozent\SammelVertraege\SammelVertraegeUseCase;

class SammelVertraegeAkzeptierenUseCase extends \Kufer\Web\KuferTools\Dozent\SammelVertraege\AkzeptierenOderAblehnen\Formular\SammelVertraegeAkzeptierenOderAblehnenUseCase
{
  protected function shouldShowInfoAnEinrichtungInput(): bool
  {
    return $this->toolSettings->begruendungBeiAkzeptieren;
  }

  public static function getToolId()
  {
    return SammelVertraegeUseCase::getToolId();
  }

  public static function getToolSectionId()
  {
    return SammelVertraegeUseCase::getToolSectionId();
  }
}